Void

Void (void)

Transaction voids will cancel an existing sale or captured authorization. In addition, non-captured authorizations can be voided to prevent any future capture. Voids can only occur if the transaction has not been settled.

NOTE: Besides the response body, OpenPath will also include our internal payment packet ID, the server which executed the transaction, the OpenPath Payment Provider/Gateway "Connector" ID and the name of that connector in the following format:

  • X-OpenPath-PacketId
  • X-OpenPath-Server
  • X-OpenPath-GatewayId
  • X-OpenPath-GatewayName
Query Params
string
required

Type of transaction. Values: 'void'

string
required

The API Login ID from the site you want to associate this transaction with.

string
required

The Transaction Key from the site you want to associate this transaction with.

integer
required

Original payment gateway transaction ID.

string

Reason the EMV transaction is being voided. Values: 'fraud', 'user_cancel', 'icc_rejected', 'icc_card_removed', 'icc_no_confirmation', or 'pos_timeout'

string

The type of payment. Default: 'creditcard' Values: 'creditcard' or 'check'

Body Params
Response

Language
Response
Click Try It! to start a request and see the response here!